=head1 NAME

Gtk2::Adjustment

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Adjustment



=cut

=for apidoc value __hide__
=cut




=head1 METHODS

=head2 object = Gtk2::Adjustment-E<gt>B<new> ($value, $lower, $upper, $step_increment, $page_increment, $page_size)

=over

=item * $value (double) 

=item * $lower (double) 

=item * $upper (double) 

=item * $step_increment (double) 

=item * $page_increment (double) 

=item * $page_size (double) 

=back

=head2 $adjustment-E<gt>B<changed> 

=head2 $adjustment-E<gt>B<clamp_page> ($lower, $upper)

=over

=item * $lower (double) 

=item * $upper (double) 

=back

=head2 double = $adjustment->B<value>

=head2 double = $adjustment->B<value> ($newval)

=head2 double = $adjustment->B<lower>

=head2 double = $adjustment->B<lower> ($newval)

=head2 double = $adjustment->B<upper>

=head2 double = $adjustment->B<upper> ($newval)

=head2 double = $adjustment->B<step_increment>

=head2 double = $adjustment->B<step_increment> ($newval)

=head2 double = $adjustment->B<page_increment>

=head2 double = $adjustment->B<page_increment> ($newval)

=head2 double = $adjustment->B<page_size>

=head2 double = $adjustment->B<page_size> ($newval)

=over

=item * $newval (double) 

=back


Get or set the six fields of a Gtk2::Adjustment.

The setter functions store $newval and return the old value.  Note
that they don't emit any signals; it's up to you to emit "notify"
(because the fields are also properties) and "changed" or
"value-changed", when you're ready.


=head2 $adjustment-E<gt>B<value_changed> 

=head2 double = $adjustment-E<gt>B<get_value> 

=head2 $adjustment-E<gt>B<set_value> ($value)

=over

=item * $value (double) 

=back



=cut


=head1 PROPERTIES

=over

=item 'lower' (double : readable / writable / private)

The minimum value of the adjustment

=item 'page-increment' (double : readable / writable / private)

The page increment of the adjustment

=item 'page-size' (double : readable / writable / private)

The page size of the adjustment

=item 'step-increment' (double : readable / writable / private)

The step increment of the adjustment

=item 'upper' (double : readable / writable / private)

The maximum value of the adjustment

=item 'value' (double : readable / writable / private)

The value of the adjustment

=back



=cut


=head1 SIGNALS

=over

=item B<changed> (Gtk2::Adjustment)

=item B<value-changed> (Gtk2::Adjustment)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

